AnsweredAssumed Answered

ESRI JS API 4.17: Error search widget

Question asked by NicolasGIS on Oct 13, 2020
Latest reply on Oct 14, 2020 by NicolasGIS

Hello,

 

I just noticed an error with search widget 4.17 when 'locationEnabled' is set to false.

When making a search, the following error is logged:

 

 

this._suggestionListNode is not yet defined in locationEnabled is set to false.

 

You can easily reproduce it with the following sample and by setting 'locationEnabled' to false:

ArcGIS API for JavaScript Sandbox 

 

Thanks for listening !

 

/cc Noah Sager

Outcomes